<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom"><channel><title>HTTP API on Grafana Labs</title><link>https://grafana.com/docs/grafana/v13.0/developer-resources/api-reference/http-api/</link><description>Recent content in HTTP API on Grafana Labs</description><generator>Hugo -- gohugo.io</generator><language>en</language><atom:link href="/docs/grafana/v13.0/developer-resources/api-reference/http-api/index.xml" rel="self" type="application/rss+xml"/><item><title>API structure in Grafana</title><link>https://grafana.com/docs/grafana/v13.0/developer-resources/api-reference/http-api/apis/</link><pubDate>Thu, 16 Apr 2026 14:18:24 +0000</pubDate><guid>https://grafana.com/docs/grafana/v13.0/developer-resources/api-reference/http-api/apis/</guid><content><![CDATA[&lt;h1 id=&#34;the-new-api-structure-in-grafana&#34;&gt;The new API structure in Grafana&lt;/h1&gt;


&lt;div class=&#34;admonition admonition-note&#34;&gt;&lt;blockquote&gt;&lt;p class=&#34;title text-uppercase&#34;&gt;Note&lt;/p&gt;&lt;p&gt;Available in Grafana 12 and later.&lt;/p&gt;&lt;/blockquote&gt;&lt;/div&gt;

&lt;p&gt;Grafana 13 marks the deprecation of legacy API endpoints (&lt;code&gt;/api&lt;/code&gt;) in favor of a new generation of improved APIs (&lt;code&gt;/apis&lt;/code&gt;), a Kubernetes-style API layer which follows a standardized API structure alongside consistent API versioning.&lt;/p&gt;
&lt;h2 id=&#34;migrate-from-legacy-api-endpoints&#34;&gt;Migrate from legacy &lt;code&gt;api&lt;/code&gt; endpoints&lt;/h2&gt;
&lt;p&gt;&lt;strong&gt;Legacy APIs are not being disabled for the moment&lt;/strong&gt;. Removal of legacy APIs is planned for a future major release, and any breaking changes will be announced well in advance to avoid disruptions.&lt;/p&gt;
&lt;p&gt;Note that while Grafana is working on migrating existing APIs to the new &lt;code&gt;/apis&lt;/code&gt; model, currently there may not be an exact match to the legacy API you&amp;rsquo;re using.&lt;/p&gt;
&lt;h2 id=&#34;api-structure&#34;&gt;API structure&lt;/h2&gt;
&lt;h3 id=&#34;api-path&#34;&gt;API path&lt;/h3&gt;
&lt;p&gt;All Grafana APIs follow this standardized format:&lt;/p&gt;

&lt;div class=&#34;code-snippet code-snippet__mini&#34;&gt;&lt;div class=&#34;lang-toolbar__mini&#34;&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet code-snippet__border&#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-none&#34;&gt;/apis/&amp;lt;group&amp;gt;/&amp;lt;version&amp;gt;/namespaces/&amp;lt;namespace&amp;gt;/&amp;lt;resource&amp;gt;[/&amp;lt;name&amp;gt;]&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;Where the final &lt;code&gt;/&amp;lt;name&amp;gt;&lt;/code&gt; segment is used for operations on individual resources (like Get, Update, Delete) and omitted for collection operations (like List, Create).&lt;/p&gt;
&lt;h3 id=&#34;api-response-format&#34;&gt;API response format&lt;/h3&gt;
&lt;p&gt;All Grafana API responses follow this structure:&lt;/p&gt;

&lt;div class=&#34;code-snippet code-snippet__mini&#34;&gt;&lt;div class=&#34;lang-toolbar__mini&#34;&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet code-snippet__border&#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-none&#34;&gt;{
  &amp;#34;kind&amp;#34;: &amp;#34;&amp;lt;kind&amp;gt;&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;&amp;lt;group&amp;gt;/&amp;lt;version&amp;gt;&amp;#34;,
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;&amp;lt;name&amp;gt;&amp;#34;,
    &amp;#34;namespace&amp;#34;: &amp;#34;&amp;lt;namespace&amp;gt;&amp;#34;,
    &amp;#34;uid&amp;#34;: &amp;#34;db323171-c78a-42fa-be98-16a3d799a779&amp;#34;,
    &amp;#34;resourceVersion&amp;#34;: &amp;#34;1758777451428472&amp;#34;,
    &amp;#34;generation&amp;#34;: 10,
    &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2026-01-23T22:06:40Z&amp;#34;,
    &amp;#34;annotations&amp;#34;: {}
  },
  &amp;#34;spec&amp;#34;: {
    // resource-specific fields
  }
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;h2 id=&#34;understand-the-components&#34;&gt;Understand the components&lt;/h2&gt;
&lt;h3 id=&#34;group-group&#34;&gt;Group (&lt;code&gt;&amp;lt;group&amp;gt;&lt;/code&gt;)&lt;/h3&gt;
&lt;p&gt;Groups organize related functionality into logical collections. For example &lt;code&gt;dashboard.grafana.app&lt;/code&gt; will be used for all dashboard-related operations.&lt;/p&gt;
&lt;h3 id=&#34;version-version&#34;&gt;Version (&lt;code&gt;&amp;lt;version&amp;gt;&lt;/code&gt;)&lt;/h3&gt;
&lt;p&gt;These APIs will also uses semantic versioning with three stability levels:&lt;/p&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Level&lt;/th&gt;
              &lt;th&gt;Format&lt;/th&gt;
              &lt;th&gt;Description&lt;/th&gt;
              &lt;th&gt;Use Case&lt;/th&gt;
              &lt;th&gt;Enabled By Default?&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;Alpha&lt;/td&gt;
              &lt;td&gt;&lt;code&gt;v1alpha1&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;Early development stage. Unstable, may contain bugs, and subject to removal&lt;/td&gt;
              &lt;td&gt;For testing new features&lt;/td&gt;
              &lt;td&gt;No&lt;/td&gt;
          &lt;/tr&gt;
          &lt;tr&gt;
              &lt;td&gt;Beta&lt;/td&gt;
              &lt;td&gt;&lt;code&gt;v1beta1&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;More stable than alpha, but may still have some changes&lt;/td&gt;
              &lt;td&gt;For non-critical use&lt;/td&gt;
              &lt;td&gt;No&lt;/td&gt;
          &lt;/tr&gt;
          &lt;tr&gt;
              &lt;td&gt;GA&lt;/td&gt;
              &lt;td&gt;&lt;code&gt;v1&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;Generally Available. Stable with backward compatibility guarantees&lt;/td&gt;
              &lt;td&gt;For production use&lt;/td&gt;
              &lt;td&gt;Yes&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;h4 id=&#34;alpha&#34;&gt;Alpha&lt;/h4&gt;
&lt;p&gt;Alpha versions should not be served unless explicitly enabled by a feature flag, and should be considered completely experimental and subject to major changes.
An alpha version may undergo breaking changes without adding an additional version, and should not be relied upon by production workflows. Alpha versions may be removed completely, even without being promoted to a more stable level (e.g. an experimental API may be introduced as alpha for a new feature and subsequently removed completely, in case that feature gets canceled).&lt;/p&gt;
&lt;h4 id=&#34;beta&#34;&gt;Beta&lt;/h4&gt;
&lt;p&gt;Beta versions should not contain breaking changes in the schema, but still may be subject to changes in handling logic or semantics.
Breaking schema changes require a new published beta version (such as publishing &lt;code&gt;v1beta2&lt;/code&gt; for breaking changes to the &lt;code&gt;v1beta1&lt;/code&gt; schema).
While beta versions are no longer considered experimental like alpha versions, they should still be disabled by default.&lt;/p&gt;
&lt;h4 id=&#34;ga&#34;&gt;GA&lt;/h4&gt;
&lt;p&gt;GA versions are enabled by default, and can be treated as completely stable. The only changes that can be made to these APIs are bug fixes,
and any other changes should instead result in a new published version of the API.&lt;/p&gt;
&lt;h3 id=&#34;namespace-namespace&#34;&gt;Namespace (&lt;code&gt;&amp;lt;namespace&amp;gt;&lt;/code&gt;)&lt;/h3&gt;
&lt;p&gt;Namespaces isolate resources within your Grafana instance. The format varies by deployment type:&lt;/p&gt;
&lt;h4 id=&#34;oss--on-premise-grafana&#34;&gt;OSS &amp;amp; On-Premise Grafana&lt;/h4&gt;
&lt;ul&gt;
&lt;li&gt;Default organization (org 1): &lt;code&gt;default&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;Additional organizations: &lt;code&gt;org-&amp;lt;org_id&amp;gt;&lt;/code&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;h4 id=&#34;grafana-cloud&#34;&gt;Grafana Cloud&lt;/h4&gt;
&lt;ul&gt;
&lt;li&gt;Format: &lt;code&gt;stacks-&amp;lt;stack_id&amp;gt;&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;Your instance ID is the &lt;code&gt;stack_id&lt;/code&gt;. You can find this value by either:
&lt;ul&gt;
&lt;li&gt;Going to grafana.com, clicking on your stack, and selecting &amp;ldquo;Details&amp;rdquo; on your Grafana instance&lt;/li&gt;
&lt;li&gt;Accessing the /swagger page in your cloud instance, where the namespace will be automatically populated on the relevant endpoints&lt;/li&gt;
&lt;/ul&gt;
&lt;/li&gt;
&lt;/ul&gt;
&lt;h3 id=&#34;resource-resource&#34;&gt;Resource (&lt;code&gt;&amp;lt;resource&amp;gt;&lt;/code&gt;)&lt;/h3&gt;
&lt;p&gt;The resource type you want to interact with, such as:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;code&gt;dashboards&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;&lt;code&gt;playlists&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;&lt;code&gt;folders&lt;/code&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;h3 id=&#34;kind-kind&#34;&gt;Kind (&lt;code&gt;&amp;lt;kind&amp;gt;&lt;/code&gt;)&lt;/h3&gt;
&lt;p&gt;The kind identifies the resource type in API responses and corresponds to the singular form of the resource.
For example, the &lt;code&gt;dashboards&lt;/code&gt; resource has a kind of &lt;code&gt;Dashboard&lt;/code&gt;.&lt;/p&gt;
&lt;h3 id=&#34;name-name&#34;&gt;Name (&lt;code&gt;&amp;lt;name&amp;gt;&lt;/code&gt;)&lt;/h3&gt;
&lt;p&gt;The &lt;code&gt;&amp;lt;name&amp;gt;&lt;/code&gt; is the unique identifier for a specific instance of a resource within its namespace and resource type. &lt;code&gt;&amp;lt;name&amp;gt;&lt;/code&gt; is distinct from the metadata.uid field. The URL path will always use the metadata.name.&lt;/p&gt;
&lt;p&gt;For example, to get a dashboard defined as:&lt;/p&gt;

&lt;div class=&#34;code-snippet code-snippet__mini&#34;&gt;&lt;div class=&#34;lang-toolbar__mini&#34;&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet code-snippet__border&#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-none&#34;&gt;{
  &amp;#34;kind&amp;#34;: &amp;#34;Dashboard&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;dashboard.grafana.app/v1&amp;#34;,
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;production-overview&amp;#34;, // This value IS used in the URL path
    &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
    &amp;#34;uid&amp;#34;: &amp;#34;a1b2c3d4-e5f6-7890-g1h2-i3j4k5l6m7n8&amp;#34; // This value is NOT used in the URL path
    // ... other metadata
  },
  &amp;#34;spec&amp;#34;: {
    // ... dashboard spec
  }
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;You would use the following API call:&lt;/p&gt;
&lt;p&gt;&lt;code&gt;GET /apis/dashboard.grafana.app/v1/namespaces/default/dashboards/production-overview&lt;/code&gt;&lt;/p&gt;
&lt;h3 id=&#34;metadata&#34;&gt;Metadata&lt;/h3&gt;
&lt;p&gt;The metadata section contains information about the resource instance.
This section includes &lt;a href=&#34;#name-name&#34;&gt;name&lt;/a&gt; and &lt;a href=&#34;#namespace-namespace&#34;&gt;namespace&lt;/a&gt;, which are described earlier in this document, along with the following fields:&lt;/p&gt;
&lt;h4 id=&#34;uid&#34;&gt;UID&lt;/h4&gt;
&lt;p&gt;An internal identifier that can be ignored for most use cases. Use the &lt;code&gt;name&lt;/code&gt; field as the unique identifier instead. This value is &lt;em&gt;not&lt;/em&gt; the same as the Grafana UID.&lt;/p&gt;
&lt;h4 id=&#34;resourceversion&#34;&gt;ResourceVersion&lt;/h4&gt;
&lt;p&gt;A value that changes whenever any part of the resource changes, including metadata or status.&lt;/p&gt;
&lt;p&gt;Use this field for:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;Change detection&lt;/li&gt;
&lt;li&gt;Optimistic concurrency control&lt;/li&gt;
&lt;/ul&gt;
&lt;h4 id=&#34;generation&#34;&gt;Generation&lt;/h4&gt;
&lt;p&gt;A monotonically increasing number that increments only when the spec changes.
Updates to metadata or status don&amp;rsquo;t affect this value.&lt;/p&gt;
&lt;h4 id=&#34;creationtimestamp&#34;&gt;CreationTimestamp&lt;/h4&gt;
&lt;p&gt;The time the object was created, formatted as an RFC 3339 UTC timestamp (for example, &lt;code&gt;2026-01-23T22:06:40Z&lt;/code&gt;).&lt;/p&gt;
&lt;h4 id=&#34;annotations&#34;&gt;Annotations&lt;/h4&gt;
&lt;p&gt;A map of key-value pairs.&lt;/p&gt;
&lt;p&gt;Common annotations include:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;code&gt;grafana.app/createdBy&lt;/code&gt; / &lt;code&gt;grafana.app/updatedBy&lt;/code&gt;: Identifies who created or last updated the resource.
Format: &lt;code&gt;&amp;lt;user-type&amp;gt;:&amp;lt;uid&amp;gt;&lt;/code&gt; (for example, user:u000000839)&lt;/li&gt;
&lt;li&gt;&lt;code&gt;grafana.app/folder&lt;/code&gt;: If the resource supports folders, contains the folder UID the object belongs to.&lt;/li&gt;
&lt;li&gt;&lt;code&gt;grafana.app/updatedTimestamp&lt;/code&gt;: Timestamp of the last update, formatted as RFC 3339 UTC
(for example, &lt;code&gt;2026-01-23T05:17:31Z&lt;/code&gt;).&lt;/li&gt;
&lt;/ul&gt;
&lt;h4 id=&#34;labels&#34;&gt;Labels&lt;/h4&gt;
&lt;p&gt;An optional map of key-value pairs for organizing and selecting resources.&lt;/p&gt;
&lt;h3 id=&#34;spec&#34;&gt;Spec&lt;/h3&gt;
&lt;p&gt;The spec field describes the desired state of the resource. Its structure is specific to the resource type and API version. Refer to the Swagger / OpenAPI documentation for the exact schema of each resource’s spec.&lt;/p&gt;
]]></content><description>&lt;h1 id="the-new-api-structure-in-grafana">The new API structure in Grafana&lt;/h1>
&lt;div class="admonition admonition-note">&lt;blockquote>&lt;p class="title text-uppercase">Note&lt;/p>&lt;p>Available in Grafana 12 and later.&lt;/p>&lt;/blockquote>&lt;/div>
&lt;p>Grafana 13 marks the deprecation of legacy API endpoints (&lt;code>/api&lt;/code>) in favor of a new generation of improved APIs (&lt;code>/apis&lt;/code>), a Kubernetes-style API layer which follows a standardized API structure alongside consistent API versioning.&lt;/p></description></item><item><title>Dashboard HTTP API</title><link>https://grafana.com/docs/grafana/v13.0/developer-resources/api-reference/http-api/dashboard/</link><pubDate>Wed, 15 Apr 2026 10:30:32 +0000</pubDate><guid>https://grafana.com/docs/grafana/v13.0/developer-resources/api-reference/http-api/dashboard/</guid><content><![CDATA[&lt;h1 id=&#34;dashboard-apis&#34;&gt;Dashboard APIs&lt;/h1&gt;


&lt;div class=&#34;admonition admonition-note&#34;&gt;&lt;blockquote&gt;&lt;p class=&#34;title text-uppercase&#34;&gt;Note&lt;/p&gt;&lt;p&gt;Available in Grafana 12 and later.&lt;/p&gt;
&lt;p&gt;This API complies with the new Grafana API structure. To learn more refer to documentation about the 
    &lt;a href=&#34;/docs/grafana/v13.0/developer-resources/api-reference/http-api/apis/&#34;&gt;API structure in Grafana&lt;/a&gt;.&lt;/p&gt;&lt;/blockquote&gt;&lt;/div&gt;

&lt;h2 id=&#34;requirements&#34;&gt;Requirements&lt;/h2&gt;
&lt;p&gt;If you&amp;rsquo;re running Grafana Enterprise, you&amp;rsquo;ll need to have specific permissions for some endpoints. Refer to 
    &lt;a href=&#34;/docs/grafana/v13.0/administration/roles-and-permissions/access-control/custom-role-actions-scopes/&#34;&gt;Role-based access control permissions&lt;/a&gt; for more information.&lt;/p&gt;
&lt;h2 id=&#34;create-dashboard&#34;&gt;Create Dashboard&lt;/h2&gt;
&lt;p&gt;&lt;code&gt;POST /apis/dashboard.grafana.app/v1/namespaces/:namespace/dashboards&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Creates a new dashboard.&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;namespace: to read more about the namespace to use, see the 
    &lt;a href=&#34;/docs/grafana/v13.0/developers/http_api/apis/&#34;&gt;API overview&lt;/a&gt;.&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Required permissions&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;See note in the &lt;a href=&#34;#dashboard-api&#34;&gt;introduction&lt;/a&gt; for an explanation.&lt;/p&gt;
&lt;!-- prettier-ignore-start --&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table class=&#34;no-spacing-list&#34;&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Action&lt;/th&gt;
              &lt;th&gt;Scope&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;dashboards:create&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;ul&gt;&lt;li&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:uid:*&lt;/code&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;
          &lt;/tr&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;dashboards:write&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;ul&gt;&lt;li&gt;&lt;code&gt;dashboards:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;dashboards:uid:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:uid:*&lt;/code&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;!-- prettier-ignore-end --&gt;
&lt;p&gt;&lt;strong&gt;Example Create Request&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;POST /apis/dashboard.grafana.app/v1/namespaces/default/dashboards HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk

{
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;gdxccn&amp;#34;,
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;grafana.app/folder&amp;#34;: &amp;#34;fef30w4jaxla8b&amp;#34;
    },
  },
  &amp;#34;spec&amp;#34;: {
    &amp;#34;annotations&amp;#34;: {
    &amp;#34;list&amp;#34;: [
      {
        &amp;#34;datasource&amp;#34;: {
          &amp;#34;type&amp;#34;: &amp;#34;datasource&amp;#34;,
          &amp;#34;uid&amp;#34;: &amp;#34;grafana&amp;#34;
        },
        &amp;#34;enable&amp;#34;: true,
        &amp;#34;hide&amp;#34;: false,
        &amp;#34;iconColor&amp;#34;: &amp;#34;red&amp;#34;,
        &amp;#34;name&amp;#34;: &amp;#34;Example annotation&amp;#34;,
        &amp;#34;target&amp;#34;: {
          &amp;#34;limit&amp;#34;: 100,
          &amp;#34;matchAny&amp;#34;: false,
          &amp;#34;tags&amp;#34;: [],
          &amp;#34;type&amp;#34;: &amp;#34;dashboard&amp;#34;
        }
      }]
    },
    &amp;#34;editable&amp;#34;: true,
    &amp;#34;fiscalYearStartMonth&amp;#34;: 0,
    &amp;#34;graphTooltip&amp;#34;: 0,
    &amp;#34;links&amp;#34;: [
      {
        &amp;#34;asDropdown&amp;#34;: false,
        &amp;#34;icon&amp;#34;: &amp;#34;external link&amp;#34;,
        &amp;#34;includeVars&amp;#34;: false,
        &amp;#34;keepTime&amp;#34;: false,
        &amp;#34;tags&amp;#34;: [],
        &amp;#34;targetBlank&amp;#34;: false,
        &amp;#34;title&amp;#34;: &amp;#34;Example Link&amp;#34;,
        &amp;#34;tooltip&amp;#34;: &amp;#34;&amp;#34;,
        &amp;#34;type&amp;#34;: &amp;#34;dashboards&amp;#34;,
        &amp;#34;url&amp;#34;: &amp;#34;&amp;#34;
      }
    ],
    &amp;#34;panels&amp;#34;: [
      {
        &amp;#34;datasource&amp;#34;: {
          &amp;#34;type&amp;#34;: &amp;#34;datasource&amp;#34;,
          &amp;#34;uid&amp;#34;: &amp;#34;grafana&amp;#34;
        },
        &amp;#34;description&amp;#34;: &amp;#34;With a description&amp;#34;,
        &amp;#34;fieldConfig&amp;#34;: {
          &amp;#34;defaults&amp;#34;: {
            &amp;#34;color&amp;#34;: {
              &amp;#34;mode&amp;#34;: &amp;#34;palette-classic&amp;#34;
            },
            &amp;#34;custom&amp;#34;: {
              &amp;#34;axisBorderShow&amp;#34;: false,
              &amp;#34;axisCenteredZero&amp;#34;: false,
              &amp;#34;axisColorMode&amp;#34;: &amp;#34;text&amp;#34;,
              &amp;#34;axisLabel&amp;#34;: &amp;#34;&amp;#34;,
              &amp;#34;axisPlacement&amp;#34;: &amp;#34;auto&amp;#34;,
              &amp;#34;barAlignment&amp;#34;: 0,
              &amp;#34;barWidthFactor&amp;#34;: 0.6,
              &amp;#34;drawStyle&amp;#34;: &amp;#34;line&amp;#34;,
              &amp;#34;fillOpacity&amp;#34;: 0,
              &amp;#34;gradientMode&amp;#34;: &amp;#34;none&amp;#34;,
              &amp;#34;hideFrom&amp;#34;: {
                &amp;#34;legend&amp;#34;: false,
                &amp;#34;tooltip&amp;#34;: false,
                &amp;#34;viz&amp;#34;: false
              },
              &amp;#34;insertNulls&amp;#34;: false,
              &amp;#34;lineInterpolation&amp;#34;: &amp;#34;linear&amp;#34;,
              &amp;#34;lineWidth&amp;#34;: 1,
              &amp;#34;pointSize&amp;#34;: 5,
              &amp;#34;scaleDistribution&amp;#34;: {
                &amp;#34;type&amp;#34;: &amp;#34;linear&amp;#34;
              },
              &amp;#34;showPoints&amp;#34;: &amp;#34;auto&amp;#34;,
              &amp;#34;spanNulls&amp;#34;: false,
              &amp;#34;stacking&amp;#34;: {
                &amp;#34;group&amp;#34;: &amp;#34;A&amp;#34;,
                &amp;#34;mode&amp;#34;: &amp;#34;none&amp;#34;
              },
              &amp;#34;thresholdsStyle&amp;#34;: {
                &amp;#34;mode&amp;#34;: &amp;#34;off&amp;#34;
              }
            },
            &amp;#34;mappings&amp;#34;: [],
            &amp;#34;thresholds&amp;#34;: {
              &amp;#34;mode&amp;#34;: &amp;#34;absolute&amp;#34;,
              &amp;#34;steps&amp;#34;: [
                {
                  &amp;#34;color&amp;#34;: &amp;#34;green&amp;#34;
                },
                {
                  &amp;#34;color&amp;#34;: &amp;#34;red&amp;#34;,
                  &amp;#34;value&amp;#34;: 80
                }
              ]
            }
          },
          &amp;#34;overrides&amp;#34;: []
        },
        &amp;#34;gridPos&amp;#34;: {
          &amp;#34;h&amp;#34;: 8,
          &amp;#34;w&amp;#34;: 12,
          &amp;#34;x&amp;#34;: 0,
          &amp;#34;y&amp;#34;: 0
        },
        &amp;#34;id&amp;#34;: 1,
        &amp;#34;options&amp;#34;: {
          &amp;#34;legend&amp;#34;: {
            &amp;#34;calcs&amp;#34;: [],
            &amp;#34;displayMode&amp;#34;: &amp;#34;list&amp;#34;,
            &amp;#34;placement&amp;#34;: &amp;#34;bottom&amp;#34;,
            &amp;#34;showLegend&amp;#34;: true
          },
          &amp;#34;tooltip&amp;#34;: {
            &amp;#34;hideZeros&amp;#34;: false,
            &amp;#34;mode&amp;#34;: &amp;#34;single&amp;#34;,
            &amp;#34;sort&amp;#34;: &amp;#34;none&amp;#34;
          }
        },
        &amp;#34;pluginVersion&amp;#34;: &amp;#34;12.0.0&amp;#34;,
        &amp;#34;targets&amp;#34;: [
          {
            &amp;#34;datasource&amp;#34;: {
              &amp;#34;type&amp;#34;: &amp;#34;datasource&amp;#34;,
              &amp;#34;uid&amp;#34;: &amp;#34;grafana&amp;#34;
            },
            &amp;#34;refId&amp;#34;: &amp;#34;A&amp;#34;
          }
        ],
        &amp;#34;title&amp;#34;: &amp;#34;Example panel&amp;#34;,
        &amp;#34;type&amp;#34;: &amp;#34;timeseries&amp;#34;
      }
    ],
    &amp;#34;preload&amp;#34;: false,
    &amp;#34;schemaVersion&amp;#34;: 41,
    &amp;#34;tags&amp;#34;: [&amp;#34;example&amp;#34;],
    &amp;#34;templating&amp;#34;: {
      &amp;#34;list&amp;#34;: [
        {
          &amp;#34;current&amp;#34;: {
            &amp;#34;text&amp;#34;: &amp;#34;&amp;#34;,
            &amp;#34;value&amp;#34;: &amp;#34;&amp;#34;
          },
          &amp;#34;definition&amp;#34;: &amp;#34;&amp;#34;,
          &amp;#34;description&amp;#34;: &amp;#34;example description&amp;#34;,
          &amp;#34;label&amp;#34;: &amp;#34;ExampleLabel&amp;#34;,
          &amp;#34;name&amp;#34;: &amp;#34;ExampleVariable&amp;#34;,
          &amp;#34;options&amp;#34;: [],
          &amp;#34;query&amp;#34;: &amp;#34;&amp;#34;,
          &amp;#34;refresh&amp;#34;: 1,
          &amp;#34;regex&amp;#34;: &amp;#34;cluster&amp;#34;,
          &amp;#34;type&amp;#34;: &amp;#34;query&amp;#34;
        }
      ]
    },
    &amp;#34;time&amp;#34;: {
      &amp;#34;from&amp;#34;: &amp;#34;now-6h&amp;#34;,
      &amp;#34;to&amp;#34;: &amp;#34;now&amp;#34;
    },
    &amp;#34;timepicker&amp;#34;: {},
    &amp;#34;timezone&amp;#34;: &amp;#34;browser&amp;#34;,
    &amp;#34;title&amp;#34;: &amp;#34;Example Dashboard&amp;#34;,
    &amp;#34;version&amp;#34;: 0
  }
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;JSON Body schema:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;metadata.name&lt;/strong&gt; – The Grafana &lt;a href=&#34;#identifier-id-vs-unique-identifier-uid&#34;&gt;unique identifier&lt;/a&gt;. If you do not want to provide this, set metadata.generateName instead to the prefix you would like for the randomly generated uid (cannot be an empty string).&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;metadata.annotations.grafana.app/folder&lt;/strong&gt; - Optional field, the unique identifier of the folder under which the dashboard should be created.&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;spec&lt;/strong&gt; – The dashboard json.&lt;/li&gt;
&lt;/ul&gt;


&lt;div class=&#34;admonition admonition-note&#34;&gt;&lt;blockquote&gt;&lt;p class=&#34;title text-uppercase&#34;&gt;Note&lt;/p&gt;&lt;p&gt;Custom labels and annotations in the metadata field are supported on some instances, with full support planned for all instances when these APIs reach general availability. If they are not yet supported on your instance, they will be ignored.&lt;/p&gt;&lt;/blockquote&gt;&lt;/div&gt;

&lt;p&gt;&lt;strong&gt;Example Response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200 OK
Content-Type: application/json; charset=UTF-8
Content-Length: 485

{
  &amp;#34;kind&amp;#34;: &amp;#34;Dashboard&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;dashboard.grafana.app/v1&amp;#34;,
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;gdxccn&amp;#34;,
    &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
    &amp;#34;uid&amp;#34;: &amp;#34;Cc7fA5ffHY94NnHZyMxXvFlpFtOmkK3qkBcVZPKSPXcX&amp;#34;,
    &amp;#34;resourceVersion&amp;#34;: &amp;#34;1&amp;#34;,
    &amp;#34;generation&amp;#34;: 1,
    &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2025-04-24T20:35:29Z&amp;#34;,
    &amp;#34;labels&amp;#34;: {
      &amp;#34;grafana.app/deprecatedInternalID&amp;#34;: &amp;#34;11&amp;#34;
    },
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;grafana.app/createdBy&amp;#34;: &amp;#34;service-account:dejwtrofg77y8d&amp;#34;,
      &amp;#34;grafana.app/folder&amp;#34;: &amp;#34;fef30w4jaxla8b&amp;#34;
    },
    &amp;#34;managedFields&amp;#34;: [
      {
        &amp;#34;manager&amp;#34;: &amp;#34;curl&amp;#34;,
        &amp;#34;operation&amp;#34;: &amp;#34;Update&amp;#34;,
        &amp;#34;apiVersion&amp;#34;: &amp;#34;dashboard.grafana.app/v0alpha1&amp;#34;,
        &amp;#34;time&amp;#34;: &amp;#34;2025-04-24T20:35:29Z&amp;#34;,
        &amp;#34;fieldsType&amp;#34;: &amp;#34;FieldsV1&amp;#34;,
        &amp;#34;fieldsV1&amp;#34;: {
          &amp;#34;f:spec&amp;#34;: {
            &amp;#34;f:annotations&amp;#34;: {
              &amp;#34;.&amp;#34;: {},
              &amp;#34;f:list&amp;#34;: {}
            },
            &amp;#34;f:editable&amp;#34;: {},
            &amp;#34;f:fiscalYearStartMonth&amp;#34;: {},
            &amp;#34;f:graphTooltip&amp;#34;: {},
            &amp;#34;f:links&amp;#34;: {},
            &amp;#34;f:panels&amp;#34;: {},
            &amp;#34;f:preload&amp;#34;: {},
            &amp;#34;f:schemaVersion&amp;#34;: {},
            &amp;#34;f:tags&amp;#34;: {},
            &amp;#34;f:templating&amp;#34;: {
              &amp;#34;.&amp;#34;: {},
              &amp;#34;f:list&amp;#34;: {}
            },
            &amp;#34;f:time&amp;#34;: {
              &amp;#34;.&amp;#34;: {},
              &amp;#34;f:from&amp;#34;: {},
              &amp;#34;f:to&amp;#34;: {}
            },
            &amp;#34;f:timepicker&amp;#34;: {},
            &amp;#34;f:timezone&amp;#34;: {},
            &amp;#34;f:title&amp;#34;: {},
            &amp;#34;f:version&amp;#34;: {}
          }
        }
      }
    ]
  },
  &amp;#34;spec&amp;#34;: {
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;list&amp;#34;: [
        {
          &amp;#34;datasource&amp;#34;: {
            &amp;#34;type&amp;#34;: &amp;#34;datasource&amp;#34;,
            &amp;#34;uid&amp;#34;: &amp;#34;grafana&amp;#34;
          },
          &amp;#34;enable&amp;#34;: true,
          &amp;#34;hide&amp;#34;: false,
          &amp;#34;iconColor&amp;#34;: &amp;#34;red&amp;#34;,
          &amp;#34;name&amp;#34;: &amp;#34;Example annotation&amp;#34;,
          &amp;#34;target&amp;#34;: {
            &amp;#34;limit&amp;#34;: 100,
            &amp;#34;matchAny&amp;#34;: false,
            &amp;#34;tags&amp;#34;: [],
            &amp;#34;type&amp;#34;: &amp;#34;dashboard&amp;#34;
          }
        }
      ]
    },
    &amp;#34;editable&amp;#34;: true,
    &amp;#34;fiscalYearStartMonth&amp;#34;: 0,
    &amp;#34;graphTooltip&amp;#34;: 0,
    &amp;#34;links&amp;#34;: [
      {
        &amp;#34;asDropdown&amp;#34;: false,
        &amp;#34;icon&amp;#34;: &amp;#34;external link&amp;#34;,
        &amp;#34;includeVars&amp;#34;: false,
        &amp;#34;keepTime&amp;#34;: false,
        &amp;#34;tags&amp;#34;: [],
        &amp;#34;targetBlank&amp;#34;: false,
        &amp;#34;title&amp;#34;: &amp;#34;Example Link&amp;#34;,
        &amp;#34;tooltip&amp;#34;: &amp;#34;&amp;#34;,
        &amp;#34;type&amp;#34;: &amp;#34;dashboards&amp;#34;,
        &amp;#34;url&amp;#34;: &amp;#34;&amp;#34;
      }
    ],
    &amp;#34;panels&amp;#34;: [
      {
        &amp;#34;datasource&amp;#34;: {
          &amp;#34;type&amp;#34;: &amp;#34;datasource&amp;#34;,
          &amp;#34;uid&amp;#34;: &amp;#34;grafana&amp;#34;
        },
        &amp;#34;description&amp;#34;: &amp;#34;With a description&amp;#34;,
        &amp;#34;fieldConfig&amp;#34;: {
          &amp;#34;defaults&amp;#34;: {
            &amp;#34;color&amp;#34;: {
              &amp;#34;mode&amp;#34;: &amp;#34;palette-classic&amp;#34;
            },
            &amp;#34;custom&amp;#34;: {
              &amp;#34;axisBorderShow&amp;#34;: false,
              &amp;#34;axisCenteredZero&amp;#34;: false,
              &amp;#34;axisColorMode&amp;#34;: &amp;#34;text&amp;#34;,
              &amp;#34;axisLabel&amp;#34;: &amp;#34;&amp;#34;,
              &amp;#34;axisPlacement&amp;#34;: &amp;#34;auto&amp;#34;,
              &amp;#34;barAlignment&amp;#34;: 0,
              &amp;#34;barWidthFactor&amp;#34;: 0.6,
              &amp;#34;drawStyle&amp;#34;: &amp;#34;line&amp;#34;,
              &amp;#34;fillOpacity&amp;#34;: 0,
              &amp;#34;gradientMode&amp;#34;: &amp;#34;none&amp;#34;,
              &amp;#34;hideFrom&amp;#34;: {
                &amp;#34;legend&amp;#34;: false,
                &amp;#34;tooltip&amp;#34;: false,
                &amp;#34;viz&amp;#34;: false
              },
              &amp;#34;insertNulls&amp;#34;: false,
              &amp;#34;lineInterpolation&amp;#34;: &amp;#34;linear&amp;#34;,
              &amp;#34;lineWidth&amp;#34;: 1,
              &amp;#34;pointSize&amp;#34;: 5,
              &amp;#34;scaleDistribution&amp;#34;: {
                &amp;#34;type&amp;#34;: &amp;#34;linear&amp;#34;
              },
              &amp;#34;showPoints&amp;#34;: &amp;#34;auto&amp;#34;,
              &amp;#34;spanNulls&amp;#34;: false,
              &amp;#34;stacking&amp;#34;: {
                &amp;#34;group&amp;#34;: &amp;#34;A&amp;#34;,
                &amp;#34;mode&amp;#34;: &amp;#34;none&amp;#34;
              },
              &amp;#34;thresholdsStyle&amp;#34;: {
                &amp;#34;mode&amp;#34;: &amp;#34;off&amp;#34;
              }
            },
            &amp;#34;mappings&amp;#34;: [],
            &amp;#34;thresholds&amp;#34;: {
              &amp;#34;mode&amp;#34;: &amp;#34;absolute&amp;#34;,
              &amp;#34;steps&amp;#34;: [
                {
                  &amp;#34;color&amp;#34;: &amp;#34;green&amp;#34;
                },
                {
                  &amp;#34;color&amp;#34;: &amp;#34;red&amp;#34;,
                  &amp;#34;value&amp;#34;: 80
                }
              ]
            }
          },
          &amp;#34;overrides&amp;#34;: []
        },
        &amp;#34;gridPos&amp;#34;: {
          &amp;#34;h&amp;#34;: 8,
          &amp;#34;w&amp;#34;: 12,
          &amp;#34;x&amp;#34;: 0,
          &amp;#34;y&amp;#34;: 0
        },
        &amp;#34;id&amp;#34;: 1,
        &amp;#34;options&amp;#34;: {
          &amp;#34;legend&amp;#34;: {
            &amp;#34;calcs&amp;#34;: [],
            &amp;#34;displayMode&amp;#34;: &amp;#34;list&amp;#34;,
            &amp;#34;placement&amp;#34;: &amp;#34;bottom&amp;#34;,
            &amp;#34;showLegend&amp;#34;: true
          },
          &amp;#34;tooltip&amp;#34;: {
            &amp;#34;hideZeros&amp;#34;: false,
            &amp;#34;mode&amp;#34;: &amp;#34;single&amp;#34;,
            &amp;#34;sort&amp;#34;: &amp;#34;none&amp;#34;
          }
        },
        &amp;#34;pluginVersion&amp;#34;: &amp;#34;12.0.0&amp;#34;,
        &amp;#34;targets&amp;#34;: [
          {
            &amp;#34;datasource&amp;#34;: {
              &amp;#34;type&amp;#34;: &amp;#34;datasource&amp;#34;,
              &amp;#34;uid&amp;#34;: &amp;#34;grafana&amp;#34;
            },
            &amp;#34;refId&amp;#34;: &amp;#34;A&amp;#34;
          }
        ],
        &amp;#34;title&amp;#34;: &amp;#34;Example panel&amp;#34;,
        &amp;#34;type&amp;#34;: &amp;#34;timeseries&amp;#34;
      }
    ],
    &amp;#34;preload&amp;#34;: false,
    &amp;#34;schemaVersion&amp;#34;: 41,
    &amp;#34;tags&amp;#34;: [
      &amp;#34;example&amp;#34;
    ],
    &amp;#34;templating&amp;#34;: {
      &amp;#34;list&amp;#34;: [
        {
          &amp;#34;current&amp;#34;: {
            &amp;#34;text&amp;#34;: &amp;#34;&amp;#34;,
            &amp;#34;value&amp;#34;: &amp;#34;&amp;#34;
          },
          &amp;#34;definition&amp;#34;: &amp;#34;&amp;#34;,
          &amp;#34;description&amp;#34;: &amp;#34;example description&amp;#34;,
          &amp;#34;label&amp;#34;: &amp;#34;ExampleLabel&amp;#34;,
          &amp;#34;name&amp;#34;: &amp;#34;ExampleVariable&amp;#34;,
          &amp;#34;options&amp;#34;: [],
          &amp;#34;query&amp;#34;: &amp;#34;&amp;#34;,
          &amp;#34;refresh&amp;#34;: 1,
          &amp;#34;regex&amp;#34;: &amp;#34;cluster&amp;#34;,
          &amp;#34;type&amp;#34;: &amp;#34;query&amp;#34;
        }
      ]
    },
    &amp;#34;time&amp;#34;: {
      &amp;#34;from&amp;#34;: &amp;#34;now-6h&amp;#34;,
      &amp;#34;to&amp;#34;: &amp;#34;now&amp;#34;
    },
    &amp;#34;timepicker&amp;#34;: {},
    &amp;#34;timezone&amp;#34;: &amp;#34;browser&amp;#34;,
    &amp;#34;title&amp;#34;: &amp;#34;Example Dashboard&amp;#34;
  },
  &amp;#34;status&amp;#34;: {}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;Status Codes:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;201&lt;/strong&gt; – Created&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;400&lt;/strong&gt; – Errors (invalid json, missing or invalid fields, etc)&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;401&lt;/strong&gt; – Unauthorized&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;403&lt;/strong&gt; – Access denied&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;409&lt;/strong&gt; – Conflict (dashboard with the same uid already exists)&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;update-dashboard&#34;&gt;Update Dashboard&lt;/h2&gt;
&lt;p&gt;&lt;code&gt;PUT /apis/dashboard.grafana.app/v1/namespaces/:namespace/dashboards/:uid&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Updates an existing dashboard via the dashboard uid.&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;namespace: to read more about the namespace to use, see the 
    &lt;a href=&#34;/docs/grafana/v13.0/developers/http_api/apis/&#34;&gt;API overview&lt;/a&gt;.&lt;/li&gt;
&lt;li&gt;uid: the unique identifier of the dashboard to update. this will be the &lt;em&gt;name&lt;/em&gt; in the dashboard response&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Required permissions&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;See note in the &lt;a href=&#34;#dashboard-api&#34;&gt;introduction&lt;/a&gt; for an explanation.&lt;/p&gt;
&lt;!-- prettier-ignore-start --&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table class=&#34;no-spacing-list&#34;&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Action&lt;/th&gt;
              &lt;th&gt;Scope&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;dashboards:write&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;ul&gt;&lt;li&gt;&lt;code&gt;dashboards:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;dashboards:uid:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:uid:*&lt;/code&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;!-- prettier-ignore-end --&gt;
&lt;p&gt;&lt;strong&gt;Example Update Request&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;POST /apis/dashboard.grafana.app/v1/namespaces/default/dashboards/gdxccn HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk

{
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;gdxccn&amp;#34;,
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;grafana.app/folder&amp;#34;: &amp;#34;fef30w4jaxla8b&amp;#34;,
      &amp;#34;grafana.app/message&amp;#34;: &amp;#34;commit message&amp;#34;
    },
  },
  &amp;#34;spec&amp;#34;: {
    &amp;#34;title&amp;#34;: &amp;#34;New dashboard - updated&amp;#34;,
    &amp;#34;schemaVersion&amp;#34;: 41,
    ...
  }
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;JSON Body schema:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;metadata.name&lt;/strong&gt; – The &lt;a href=&#34;#identifier-id-vs-unique-identifier-uid&#34;&gt;unique identifier&lt;/a&gt;.&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;metadata.annotations.grafana.app/folder&lt;/strong&gt; - Optional field, the unique identifier of the folder under which the dashboard should be created.&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;metadata.annotations.grafana.app/message&lt;/strong&gt; - Optional field, to set a commit message for the version history.&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;spec&lt;/strong&gt; – The dashboard json.&lt;/li&gt;
&lt;/ul&gt;


&lt;div class=&#34;admonition admonition-note&#34;&gt;&lt;blockquote&gt;&lt;p class=&#34;title text-uppercase&#34;&gt;Note&lt;/p&gt;&lt;p&gt;Custom labels and annotations in the metadata field are supported on some instances, with full support planned for all instances when these APIs reach general availability. If they are not yet supported on your instance, they will be ignored.&lt;/p&gt;&lt;/blockquote&gt;&lt;/div&gt;

&lt;p&gt;&lt;strong&gt;Example Response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200 OK
Content-Type: application/json; charset=UTF-8
Content-Length: 485

{
  &amp;#34;kind&amp;#34;: &amp;#34;Dashboard&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;dashboard.grafana.app/v1&amp;#34;,
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;gdxccn&amp;#34;,
    &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
    &amp;#34;uid&amp;#34;: &amp;#34;Cc7fA5ffHY94NnHZyMxXvFlpFtOmkK3qkBcVZPKSPXcX&amp;#34;,
    &amp;#34;resourceVersion&amp;#34;: &amp;#34;2&amp;#34;,
    &amp;#34;generation&amp;#34;: 2,
    &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2025-03-06T19:57:18Z&amp;#34;,
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;grafana.app/folder&amp;#34;: &amp;#34;fef30w4jaxla8b&amp;#34;,
      &amp;#34;grafana.app/createdBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
      &amp;#34;grafana.app/updatedBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
      &amp;#34;grafana.app/updatedTimestamp&amp;#34;: &amp;#34;2025-03-07T02:58:36Z&amp;#34;
    }
  },
  &amp;#34;spec&amp;#34;: {
    &amp;#34;schemaVersion&amp;#34;: 41,
    &amp;#34;title&amp;#34;: &amp;#34;New dashboard - updated&amp;#34;,
    ...
  }
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;Status Codes:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;200&lt;/strong&gt; – OK&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;400&lt;/strong&gt; – Errors (invalid json, missing or invalid fields, etc)&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;401&lt;/strong&gt; – Unauthorized&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;403&lt;/strong&gt; – Access denied&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;409&lt;/strong&gt; – Conflict (dashboard with the same version already exists)&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;get-dashboard&#34;&gt;Get Dashboard&lt;/h2&gt;
&lt;p&gt;&lt;code&gt;GET /apis/dashboard.grafana.app/v1/namespaces/:namespace/dashboards/:uid&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Gets a dashboard via the dashboard uid.&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;namespace: to read more about the namespace to use, see the 
    &lt;a href=&#34;/docs/grafana/v13.0/developers/http_api/apis/&#34;&gt;API overview&lt;/a&gt;.&lt;/li&gt;
&lt;li&gt;uid: the unique identifier of the dashboard to update. this will be the &lt;em&gt;name&lt;/em&gt; in the dashboard response&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Required permissions&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;See note in the &lt;a href=&#34;#dashboard-api&#34;&gt;introduction&lt;/a&gt; for an explanation.&lt;/p&gt;
&lt;!-- prettier-ignore-start --&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table class=&#34;no-spacing-list&#34;&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Action&lt;/th&gt;
              &lt;th&gt;Scope&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;dashboards:read&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;ul&gt;&lt;li&gt;&lt;code&gt;dashboards:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;dashboards:uid:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:uid:*&lt;/code&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;!-- prettier-ignore-end --&gt;
&lt;p&gt;&lt;strong&gt;Example Get Request&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;GET /apis/dashboard.grafana.app/v1/namespaces/default/dashboards/gdxccn HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;&lt;strong&gt;Example Response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200 OK
Content-Type: application/json; charset=UTF-8
Content-Length: 485

{
  &amp;#34;kind&amp;#34;: &amp;#34;Dashboard&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;dashboard.grafana.app/v1&amp;#34;,
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;gdxccn&amp;#34;,
    &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
    &amp;#34;uid&amp;#34;: &amp;#34;Cc7fA5ffHY94NnHZyMxXvFlpFtOmkK3qkBcVZPKSPXcX&amp;#34;,
    &amp;#34;resourceVersion&amp;#34;: &amp;#34;2&amp;#34;,
    &amp;#34;generation&amp;#34;: 2,
    &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2025-03-06T19:57:18Z&amp;#34;,
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;grafana.app/createdBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
      &amp;#34;grafana.app/updatedBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
      &amp;#34;grafana.app/updatedTimestamp&amp;#34;: &amp;#34;2025-03-07T02:58:36Z&amp;#34;
    }
  },
  &amp;#34;spec&amp;#34;: {
    &amp;#34;schemaVersion&amp;#34;: 41,
    &amp;#34;title&amp;#34;: &amp;#34;New dashboard - updated&amp;#34;,
    ...
  }
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;Status Codes:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;200&lt;/strong&gt; – OK&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;401&lt;/strong&gt; – Unauthorized&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;403&lt;/strong&gt; – Access denied&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;404&lt;/strong&gt; – Not Found&lt;/li&gt;
&lt;/ul&gt;
&lt;h3 id=&#34;retrieve-additional-access-information&#34;&gt;Retrieve additional access information&lt;/h3&gt;
&lt;p&gt;&lt;code&gt;GET /apis/dashboard.grafana.app/v1/namespaces/:namespace/dashboards/:uid/dto&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Retrieves a dashboard with additional access information.&lt;/p&gt;
&lt;p&gt;The &lt;code&gt;GET&lt;/code&gt; response includes an additional &lt;code&gt;access&lt;/code&gt; section with data such as if it&amp;rsquo;s a public dashboard, or the dashboard permissions (admin, editor) of the user who made the request.&lt;/p&gt;
&lt;h2 id=&#34;list-dashboards&#34;&gt;List Dashboards&lt;/h2&gt;
&lt;p&gt;&lt;code&gt;GET /apis/dashboard.grafana.app/v1/namespaces/:namespace/dashboards&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Lists all dashboards in the given organization. You can control the maximum number of dashboards returned through the &lt;code&gt;limit&lt;/code&gt; query parameter. You can then use the &lt;code&gt;continue&lt;/code&gt; token returned to fetch the next page of dashboards.&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;namespace: to read more about the namespace to use, see the 
    &lt;a href=&#34;/docs/grafana/v13.0/developers/http_api/apis/&#34;&gt;API overview&lt;/a&gt;.&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Query parameters&lt;/strong&gt;:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;&lt;code&gt;limit&lt;/code&gt;&lt;/strong&gt; (optional): Maximum number of dashboards to return&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;&lt;code&gt;continue&lt;/code&gt;&lt;/strong&gt; (optional): Continue token from a previous response to fetch the next page&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Required permissions&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;See note in the &lt;a href=&#34;#dashboard-api&#34;&gt;introduction&lt;/a&gt; for an explanation.&lt;/p&gt;
&lt;!-- prettier-ignore-start --&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table class=&#34;no-spacing-list&#34;&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Action&lt;/th&gt;
              &lt;th&gt;Scope&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;dashboards:read&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;ul&gt;&lt;li&gt;&lt;code&gt;dashboards:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;dashboards:uid:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:uid:*&lt;/code&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;!-- prettier-ignore-end --&gt;
&lt;p&gt;&lt;strong&gt;Example Get Request&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;GET /apis/dashboard.grafana.app/v1/namespaces/default/dashboards?limit=1 HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;&lt;strong&gt;Example Response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200 OK
Content-Type: application/json; charset=UTF-8
Content-Length: 644

{
  &amp;#34;kind&amp;#34;: &amp;#34;DashboardList&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;dashboard.grafana.app/v1alpha1&amp;#34;,
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;resourceVersion&amp;#34;: &amp;#34;1741315830000&amp;#34;,
    &amp;#34;continue&amp;#34;: &amp;#34;eyJvIjoxNTIsInYiOjE3NjE3MDQyMjQyMDcxODksInMiOmZhbHNlfQ==&amp;#34;
  },
  &amp;#34;items&amp;#34;: [
    {
      &amp;#34;kind&amp;#34;: &amp;#34;Dashboard&amp;#34;,
      &amp;#34;apiVersion&amp;#34;: &amp;#34;dashboard.grafana.app/v1alpha1&amp;#34;,
      &amp;#34;metadata&amp;#34;: {
        &amp;#34;name&amp;#34;: &amp;#34;gpqcmf&amp;#34;,
        &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
        &amp;#34;uid&amp;#34;: &amp;#34;VQyL7pNTpfGPNlPM6HRJSePrBg5dXmxr4iPQL7txLtwX&amp;#34;,
        &amp;#34;resourceVersion&amp;#34;: &amp;#34;1&amp;#34;,
        &amp;#34;generation&amp;#34;: 1,
        &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2025-03-06T19:50:30Z&amp;#34;,
        &amp;#34;annotations&amp;#34;: {
          &amp;#34;grafana.app/createdBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
          &amp;#34;grafana.app/updatedBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
          &amp;#34;grafana.app/updatedTimestamp&amp;#34;: &amp;#34;2025-03-06T19:50:30Z&amp;#34;
        }
      },
      &amp;#34;spec&amp;#34;: {
        &amp;#34;schemaVersion&amp;#34;: 41,
        &amp;#34;title&amp;#34;: &amp;#34;New dashboard&amp;#34;,
        &amp;#34;uid&amp;#34;: &amp;#34;gpqcmf&amp;#34;,
        &amp;#34;version&amp;#34;: 1,
        ...
      }
    }
  ]
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;The &lt;code&gt;metadata.continue&lt;/code&gt; field contains a token to fetch the next page.&lt;/p&gt;
&lt;p&gt;&lt;strong&gt;Example subsequent request using continue token&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;GET /apis/dashboard.grafana.app/v1/namespaces/default/dashboards?limit=1&amp;amp;continue=eyJvIjoxNTIsInYiOjE3NjE3MDQyMjQyMDcxODksInMiOmZhbHNlfQ== HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;&lt;strong&gt;Example subsequent response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200 OK
Content-Type: application/json; charset=UTF-8

{
  &amp;#34;kind&amp;#34;: &amp;#34;DashboardList&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;dashboard.grafana.app/v1alpha1&amp;#34;,
  &amp;#34;items&amp;#34;: [
    {
      &amp;#34;kind&amp;#34;: &amp;#34;Dashboard&amp;#34;,
      &amp;#34;apiVersion&amp;#34;: &amp;#34;dashboard.grafana.app/v1alpha1&amp;#34;,
      &amp;#34;metadata&amp;#34;: {
        &amp;#34;name&amp;#34;: &amp;#34;hpqcmg&amp;#34;,
        &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
        &amp;#34;uid&amp;#34;: &amp;#34;WQyL7pNTpfGPNlPM6HRJSePrBg5dXmxr4iPQL7txLtwY&amp;#34;,
        &amp;#34;resourceVersion&amp;#34;: &amp;#34;1&amp;#34;,
        &amp;#34;generation&amp;#34;: 1,
        &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2025-03-06T19:51:31Z&amp;#34;,
        &amp;#34;annotations&amp;#34;: {
          &amp;#34;grafana.app/createdBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
          &amp;#34;grafana.app/updatedBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
          &amp;#34;grafana.app/updatedTimestamp&amp;#34;: &amp;#34;2025-03-06T19:51:31Z&amp;#34;
        }
      },
      &amp;#34;spec&amp;#34;: {
        &amp;#34;schemaVersion&amp;#34;: 41,
        &amp;#34;title&amp;#34;: &amp;#34;Another dashboard&amp;#34;,
        &amp;#34;uid&amp;#34;: &amp;#34;hpqcmg&amp;#34;,
        &amp;#34;version&amp;#34;: 1,
        ...
      }
    }
  ]
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;Continue making requests with the updated &lt;code&gt;continue&lt;/code&gt; token until you receive a response without a &lt;code&gt;continue&lt;/code&gt; field in the metadata, indicating you&amp;rsquo;ve reached the last page.&lt;/p&gt;
&lt;p&gt;Status Codes:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;200&lt;/strong&gt; – OK&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;401&lt;/strong&gt; – Unauthorized&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;403&lt;/strong&gt; – Access denied&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;list-dashboard-history&#34;&gt;List dashboard history&lt;/h2&gt;
&lt;p&gt;You can retrieve the full version history of a dashboard using the List endpoint with specific query parameters. For details and examples, refer to 
    &lt;a href=&#34;/docs/grafana/v13.0/developers/http_api/resource-history/&#34;&gt;Resource history HTTP API&lt;/a&gt;.&lt;/p&gt;
&lt;h2 id=&#34;delete-dashboard&#34;&gt;Delete Dashboard&lt;/h2&gt;
&lt;p&gt;&lt;code&gt;DELETE /apis/dashboard.grafana.app/v1/namespaces/:namespace/dashboards/:uid&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Deletes a dashboard via the dashboard uid.&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;&lt;code&gt;namespace&lt;/code&gt;&lt;/strong&gt;: To read more about the namespace to use, see the 
    &lt;a href=&#34;/docs/grafana/v13.0/developers/http_api/apis/&#34;&gt;API overview&lt;/a&gt;.&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;&lt;code&gt;uid&lt;/code&gt;&lt;/strong&gt;: The unique identifier of the dashboard to update. This is the &lt;code&gt;metadata.name&lt;/code&gt; field in the dashboard response and &lt;em&gt;not&lt;/em&gt; the &lt;code&gt;metadata.uid&lt;/code&gt; field.&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Required permissions&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;See note in the &lt;a href=&#34;#new-dashboard-apis&#34;&gt;introduction&lt;/a&gt; for an explanation.&lt;/p&gt;
&lt;!-- prettier-ignore-start --&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table class=&#34;no-spacing-list&#34;&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Action&lt;/th&gt;
              &lt;th&gt;Scope&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;dashboards:delete&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;ul&gt;&lt;li&gt;&lt;code&gt;dashboards:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;dashboards:uid:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/li&gt;&lt;li&gt;&lt;code&gt;folders:uid:*&lt;/code&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;!-- prettier-ignore-end --&gt;
&lt;p&gt;&lt;strong&gt;Example Delete Request&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;DELETE /apis/dashboard.grafana.app/v1/namespaces/default/dashboards/gdxccn HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;&lt;strong&gt;Example Response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200 OK
Content-Type: application/json; charset=UTF-8
Content-Length: 78

{
  &amp;#34;kind&amp;#34;: &amp;#34;Status&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;v1&amp;#34;,
  &amp;#34;metadata&amp;#34;: {},
  &amp;#34;status&amp;#34;: &amp;#34;Success&amp;#34;,
  &amp;#34;details&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;gdxccn&amp;#34;,
    &amp;#34;group&amp;#34;: &amp;#34;dashboard.grafana.app&amp;#34;,
    &amp;#34;kind&amp;#34;: &amp;#34;dashboards&amp;#34;,
    &amp;#34;uid&amp;#34;: &amp;#34;Cc7fA5ffHY94NnHZyMxXvFlpFtOmkK3qkBcVZPKSPXcX&amp;#34;
  }
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;Status Codes:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;200&lt;/strong&gt; – OK&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;401&lt;/strong&gt; – Unauthorized&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;403&lt;/strong&gt; – Access denied&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;404&lt;/strong&gt; – Not found&lt;/li&gt;
&lt;/ul&gt;
]]></content><description>&lt;h1 id="dashboard-apis">Dashboard APIs&lt;/h1>
&lt;div class="admonition admonition-note">&lt;blockquote>&lt;p class="title text-uppercase">Note&lt;/p>&lt;p>Available in Grafana 12 and later.&lt;/p>
&lt;p>This API complies with the new Grafana API structure. To learn more refer to documentation about the
&lt;a href="/docs/grafana/v13.0/developer-resources/api-reference/http-api/apis/">API structure in Grafana&lt;/a>.&lt;/p></description></item><item><title>Folder HTTP API</title><link>https://grafana.com/docs/grafana/v13.0/developer-resources/api-reference/http-api/folder/</link><pubDate>Wed, 15 Apr 2026 10:30:32 +0000</pubDate><guid>https://grafana.com/docs/grafana/v13.0/developer-resources/api-reference/http-api/folder/</guid><content><![CDATA[&lt;h1 id=&#34;new-folders-apis&#34;&gt;New Folders APIs&lt;/h1&gt;


&lt;div class=&#34;admonition admonition-note&#34;&gt;&lt;blockquote&gt;&lt;p class=&#34;title text-uppercase&#34;&gt;Note&lt;/p&gt;&lt;p&gt;Available in Grafana 12 and later.&lt;/p&gt;
&lt;p&gt;This API complies with the new Grafana API structure. To learn more refer to documentation about the 
    &lt;a href=&#34;/docs/grafana/v13.0/developer-resources/api-reference/http-api/apis/&#34;&gt;API structure in Grafana&lt;/a&gt;.&lt;/p&gt;&lt;/blockquote&gt;&lt;/div&gt;

&lt;h2 id=&#34;requirements&#34;&gt;Requirements&lt;/h2&gt;
&lt;p&gt;If you&amp;rsquo;re running Grafana Enterprise, you&amp;rsquo;ll need to have specific permissions for some endpoints. Refer to 
    &lt;a href=&#34;/docs/grafana/v13.0/administration/roles-and-permissions/access-control/custom-role-actions-scopes/&#34;&gt;Role-based access control permissions&lt;/a&gt; for more information.&lt;/p&gt;
&lt;h2 id=&#34;get-all-folders&#34;&gt;Get all folders&lt;/h2&gt;
&lt;p&gt;&lt;code&gt;GET /apis/folder.grafana.app/v1/namespaces/:namespace/folders&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Returns all folders that the authenticated user has permission to view within the given organization. Use the &lt;code&gt;limit&lt;/code&gt; query parameter to control the maximum number of dashboards returned. To retrieve additional dashboards, utilize the &lt;code&gt;continue&lt;/code&gt; token provided in the response to fetch the next page.&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;namespace: to read more about the namespace to use, see the 
    &lt;a href=&#34;/docs/grafana/v13.0/developer-resources/api-reference/http-api/apis/&#34;&gt;API overview&lt;/a&gt;.&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Query parameters&lt;/strong&gt;:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;&lt;code&gt;limit&lt;/code&gt;&lt;/strong&gt; (optional): Maximum number of folders to return&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;&lt;code&gt;continue&lt;/code&gt;&lt;/strong&gt; (optional): Continue token from a previous response to fetch the next page&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Required permissions&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;See note in the &lt;a href=&#34;#folder-api&#34;&gt;introduction&lt;/a&gt; for an explanation.&lt;/p&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Action&lt;/th&gt;
              &lt;th&gt;Scope&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;folders:read&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;p&gt;&lt;strong&gt;Example Request&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;GET /apis/folder.grafana.app/v1/namespaces/default/folders?limit=1 HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;&lt;strong&gt;Example Response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200
Content-Type: application/json
{
  &amp;#34;kind&amp;#34;: &amp;#34;FolderList&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;folder.grafana.app/v1&amp;#34;,
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;continue&amp;#34;: &amp;#34;eyJvIjoxNTIsInYiOjE3NjE3MDQyMjQyMDcxODksInMiOmZhbHNlfQ==&amp;#34;
  },
  &amp;#34;items&amp;#34;: [
    {
      &amp;#34;kind&amp;#34;: &amp;#34;Folder&amp;#34;,
      &amp;#34;apiVersion&amp;#34;: &amp;#34;folder.grafana.app/v1&amp;#34;,
      &amp;#34;metadata&amp;#34;: {
        &amp;#34;name&amp;#34;: &amp;#34;aef30vrzxs3y8d&amp;#34;,
        &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
        &amp;#34;uid&amp;#34;: &amp;#34;KCtv1FXDsJmTYQoTgcPnfuwZhDZge3uMpXOefaOHjb4X&amp;#34;,
        &amp;#34;resourceVersion&amp;#34;: &amp;#34;1741343686000&amp;#34;,
        &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2025-03-07T10:34:46Z&amp;#34;,
        &amp;#34;annotations&amp;#34;: {
          &amp;#34;grafana.app/createdBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
          &amp;#34;grafana.app/updatedBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
          &amp;#34;grafana.app/updatedTimestamp&amp;#34;: &amp;#34;2025-03-07T10:34:46Z&amp;#34;
        }
      },
      &amp;#34;spec&amp;#34;: {
        &amp;#34;title&amp;#34;: &amp;#34;example&amp;#34;
      }
    }
  ]
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;The &lt;code&gt;metadata.continue&lt;/code&gt; field contains a token to fetch the next page.&lt;/p&gt;
&lt;p&gt;&lt;strong&gt;Example subsequent request using continue token&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;GET /apis/folder.grafana.app/v1/namespaces/default/folders?limit=1&amp;amp;continue=eyJvIjoxNTIsInYiOjE3NjE3MDQyMjQyMDcxODksInMiOmZhbHNlfQ== HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;&lt;strong&gt;Example subsequent response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200
Content-Type: application/json
{
  &amp;#34;kind&amp;#34;: &amp;#34;FolderList&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;folder.grafana.app/v1&amp;#34;,
  &amp;#34;items&amp;#34;: [
    {
      &amp;#34;kind&amp;#34;: &amp;#34;Folder&amp;#34;,
      &amp;#34;apiVersion&amp;#34;: &amp;#34;folder.grafana.app/v1&amp;#34;,
      &amp;#34;metadata&amp;#34;: {
        &amp;#34;name&amp;#34;: &amp;#34;bef30vrzxs3y8e&amp;#34;,
        &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
        &amp;#34;uid&amp;#34;: &amp;#34;YCtv1FXDsJmTYQoTgcPnfuwZhDZge3uMpXOefaOHjb5Y&amp;#34;,
        &amp;#34;resourceVersion&amp;#34;: &amp;#34;1741343687000&amp;#34;,
        &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2025-03-07T10:35:47Z&amp;#34;,
        &amp;#34;annotations&amp;#34;: {
          &amp;#34;grafana.app/createdBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
          &amp;#34;grafana.app/updatedBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
          &amp;#34;grafana.app/updatedTimestamp&amp;#34;: &amp;#34;2025-03-07T10:35:47Z&amp;#34;
        }
      },
      &amp;#34;spec&amp;#34;: {
        &amp;#34;title&amp;#34;: &amp;#34;another folder&amp;#34;
      }
    }
  ]
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;Continue making requests with the updated &lt;code&gt;continue&lt;/code&gt; token until you receive a response without a &lt;code&gt;continue&lt;/code&gt; field in the metadata, indicating you&amp;rsquo;ve reached the last page.&lt;/p&gt;
&lt;p&gt;Status Codes:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;200&lt;/strong&gt; – OK&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;401&lt;/strong&gt; – Unauthorized&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;403&lt;/strong&gt; – Access Denied&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;get-folder-by-uid&#34;&gt;Get folder by uid&lt;/h2&gt;
&lt;p&gt;&lt;code&gt;GET /apis/folder.grafana.app/v1/namespaces/:namespace/folders/:uid&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Will return the folder given the folder uid.&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;namespace: to read more about the namespace to use, see the 
    &lt;a href=&#34;/docs/grafana/v13.0/developer-resources/api-reference/http-api/apis/&#34;&gt;API overview&lt;/a&gt;.&lt;/li&gt;
&lt;li&gt;uid: the unique identifier of the folder to update. this will be the &lt;em&gt;name&lt;/em&gt; in the folder response&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Required permissions&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;See note in the &lt;a href=&#34;#folder-api&#34;&gt;introduction&lt;/a&gt; for an explanation.&lt;/p&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Action&lt;/th&gt;
              &lt;th&gt;Scope&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;folders:read&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;p&gt;&lt;strong&gt;Example Request&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;GET /apis/folder.grafana.app/v1/namespaces/default/folders/aef30vrzxs3y8d HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;&lt;strong&gt;Example Response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200
Content-Type: application/json
{
  &amp;#34;kind&amp;#34;: &amp;#34;Folder&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;folder.grafana.app/v1&amp;#34;,
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;aef30vrzxs3y8d&amp;#34;,
    &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
    &amp;#34;uid&amp;#34;: &amp;#34;KCtv1FXDsJmTYQoTgcPnfuwZhDZge3uMpXOefaOHjb4X&amp;#34;,
    &amp;#34;resourceVersion&amp;#34;: &amp;#34;1741343686000&amp;#34;,
    &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2025-03-07T10:34:46Z&amp;#34;,
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;grafana.app/createdBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
      &amp;#34;grafana.app/updatedBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
      &amp;#34;grafana.app/updatedTimestamp&amp;#34;: &amp;#34;2025-03-07T10:34:46Z&amp;#34;,
      &amp;#34;grafana.app/folder&amp;#34;: &amp;#34;fef30w4jaxla8b&amp;#34;
    }
  },
  &amp;#34;spec&amp;#34;: {
    &amp;#34;title&amp;#34;: &amp;#34;test&amp;#34;
  }
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;Note the annotation &lt;code&gt;grafana.app/folder&lt;/code&gt; which contains the uid of the parent folder.&lt;/p&gt;
&lt;p&gt;Status Codes:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;200&lt;/strong&gt; – Found&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;401&lt;/strong&gt; – Unauthorized&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;403&lt;/strong&gt; – Access Denied&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;404&lt;/strong&gt; – Folder not found&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;create-folder&#34;&gt;Create folder&lt;/h2&gt;
&lt;p&gt;&lt;code&gt;POST /apis/folder.grafana.app/v1/namespaces/:namespace/folders&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Creates a new folder.&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;namespace: to read more about the namespace to use, see the 
    &lt;a href=&#34;/docs/grafana/v13.0/developer-resources/api-reference/http-api/apis/&#34;&gt;API overview&lt;/a&gt;.&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Required permissions&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;See note in the &lt;a href=&#34;#folder-api&#34;&gt;introduction&lt;/a&gt; for an explanation.&lt;/p&gt;
&lt;p&gt;&lt;code&gt;folders:create&lt;/code&gt; allows creating folders and subfolders. If granted with scope &lt;code&gt;folders:uid:general&lt;/code&gt;, allows creating root level folders. Otherwise, allows creating subfolders under the specified folders.&lt;/p&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Action&lt;/th&gt;
              &lt;th&gt;Scope&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;folders:create&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/td&gt;
          &lt;/tr&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;folders:write&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;p&gt;&lt;strong&gt;Example Request&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;POST /apis/folder.grafana.app/v1/namespaces/default/folders HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk

{
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;aef30vrzxs3y8d&amp;#34;,
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;grafana.app/folder&amp;#34;: &amp;#34;fef30w4jaxla8b&amp;#34;
    }
  }
  &amp;#34;spec&amp;#34;: {
    &amp;#34;title&amp;#34;: &amp;#34;child-folder&amp;#34;
  },
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;JSON Body schema:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;metadata.name&lt;/strong&gt; – The Grafana &lt;a href=&#34;#identifier-id-vs-unique-identifier-uid&#34;&gt;unique identifier&lt;/a&gt;. If you do not want to provide this, set metadata.generateName to the prefix you would like for the uid.&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;metadata.annotations.grafana.app/folder&lt;/strong&gt; - Optional field, the unique identifier of the parent folder under which the folder should be created. Requires nested folders to be enabled.&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;spec.title&lt;/strong&gt; – The title of the folder.&lt;/li&gt;
&lt;/ul&gt;


&lt;div class=&#34;admonition admonition-note&#34;&gt;&lt;blockquote&gt;&lt;p class=&#34;title text-uppercase&#34;&gt;Note&lt;/p&gt;&lt;p&gt;Custom labels and annotations in the metadata field are supported on some instances, with full support planned for all instances when these APIs reach general availability. If they are not yet supported on your instance, they will be ignored.&lt;/p&gt;&lt;/blockquote&gt;&lt;/div&gt;

&lt;p&gt;&lt;strong&gt;Example Response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200
Content-Type: application/json
{
  &amp;#34;kind&amp;#34;: &amp;#34;Folder&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;folder.grafana.app/v1&amp;#34;,
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;eef33r1fprd34d&amp;#34;,
    &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
    &amp;#34;uid&amp;#34;: &amp;#34;X8momvVZnsXdOqvLD9I4ngqLVif2CgRWXHy9xb2UgjQX&amp;#34;,
    &amp;#34;resourceVersion&amp;#34;: &amp;#34;1741320415009&amp;#34;,
    &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2025-03-07T04:06:55Z&amp;#34;,
    &amp;#34;labels&amp;#34;: {
      &amp;#34;grafana.app/deprecatedInternalID&amp;#34;: &amp;#34;1159&amp;#34;
    },
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;grafana.app/folder&amp;#34;: &amp;#34;fef30w4jaxla8b&amp;#34;,
      &amp;#34;grafana.app/createdBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;
    }
  },
  &amp;#34;spec&amp;#34;: {
    &amp;#34;title&amp;#34;: &amp;#34;child-folder&amp;#34;
  }
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;Status Codes:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;201&lt;/strong&gt; – Created&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;400&lt;/strong&gt; – Errors (invalid json, missing or invalid fields, etc)&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;401&lt;/strong&gt; – Unauthorized&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;403&lt;/strong&gt; – Access denied&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;409&lt;/strong&gt; – Conflict (folder with the same uid already exists)&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;update-folder&#34;&gt;Update folder&lt;/h2&gt;
&lt;p&gt;&lt;code&gt;PUT /apis/folder.grafana.app/v1/namespaces/:namespace/folders/:uid&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Updates an existing folder identified by uid.&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;namespace: to read more about the namespace to use, see the 
    &lt;a href=&#34;/docs/grafana/v13.0/developer-resources/api-reference/http-api/apis/&#34;&gt;API overview&lt;/a&gt;.&lt;/li&gt;
&lt;li&gt;uid: the unique identifier of the folder to update. this will be the &lt;em&gt;name&lt;/em&gt; in the folder response&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Required permissions&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;See note in the &lt;a href=&#34;#folder-api&#34;&gt;introduction&lt;/a&gt; for an explanation.&lt;/p&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Action&lt;/th&gt;
              &lt;th&gt;Scope&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;folders:write&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;p&gt;&lt;strong&gt;Example Request&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;PUT /apis/folder.grafana.app/v1/namespaces/default/folders/fef30w4jaxla8b HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk

&amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;aef30vrzxs3y8d&amp;#34;,
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;grafana.app/folder&amp;#34;: &amp;#34;xkj92m5pqw3vn4&amp;#34;
    }
  }
  &amp;#34;spec&amp;#34;: {
    &amp;#34;title&amp;#34;: &amp;#34;updated title&amp;#34;
  },&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;JSON Body schema:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;metadata.name&lt;/strong&gt; – The &lt;a href=&#34;#identifier-id-vs-unique-identifier-uid&#34;&gt;unique identifier&lt;/a&gt; of the folder.&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;metadata.annotations.grafana.app/folder&lt;/strong&gt; - Optional field, the unique identifier of the parent folder under which the folder should be - update this to move the folder under a different parent folder. Requires nested folders to be enabled.&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;spec.title&lt;/strong&gt; – The title of the folder.&lt;/li&gt;
&lt;/ul&gt;


&lt;div class=&#34;admonition admonition-note&#34;&gt;&lt;blockquote&gt;&lt;p class=&#34;title text-uppercase&#34;&gt;Note&lt;/p&gt;&lt;p&gt;Custom labels and annotations in the metadata field are supported on some instances, with full support planned for all instances when these APIs reach general availability. If they are not yet supported on your instance, they will be ignored.&lt;/p&gt;&lt;/blockquote&gt;&lt;/div&gt;

&lt;p&gt;&lt;strong&gt;Example Response&lt;/strong&gt;:&lt;/p&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 200
Content-Type: application/json

{
  &amp;#34;kind&amp;#34;: &amp;#34;Folder&amp;#34;,
  &amp;#34;apiVersion&amp;#34;: &amp;#34;folder.grafana.app/v1&amp;#34;,
  &amp;#34;metadata&amp;#34;: {
    &amp;#34;name&amp;#34;: &amp;#34;fef30w4jaxla8b&amp;#34;,
    &amp;#34;namespace&amp;#34;: &amp;#34;default&amp;#34;,
    &amp;#34;uid&amp;#34;: &amp;#34;YaWLsFrMwEaTlIQwX2iMnhHlJuZHtZugps50BQoyjXEX&amp;#34;,
    &amp;#34;resourceVersion&amp;#34;: &amp;#34;1741345736000&amp;#34;,
    &amp;#34;creationTimestamp&amp;#34;: &amp;#34;2025-03-07T11:08:56Z&amp;#34;,
    &amp;#34;annotations&amp;#34;: {
      &amp;#34;grafana.app/folder&amp;#34;: &amp;#34;xkj92m5pqw3vn4&amp;#34;,
      &amp;#34;grafana.app/createdBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
      &amp;#34;grafana.app/updatedBy&amp;#34;: &amp;#34;service-account:cef2t2rfm73lsb&amp;#34;,
      &amp;#34;grafana.app/updatedTimestamp&amp;#34;: &amp;#34;2025-03-07T11:08:56Z&amp;#34;
    }
  },
  &amp;#34;spec&amp;#34;: {
    &amp;#34;title&amp;#34;: &amp;#34;updated title&amp;#34;
  }
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;p&gt;Status Codes:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;strong&gt;200&lt;/strong&gt; – Updated&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;400&lt;/strong&gt; – Errors (invalid json, missing or invalid fields, etc)&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;401&lt;/strong&gt; – Unauthorized&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;403&lt;/strong&gt; – Access Denied&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;404&lt;/strong&gt; – Folder not found&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;412&lt;/strong&gt; – Precondition failed (the folder has been changed by someone else). With this status code, the response body will have the following properties:&lt;/li&gt;
&lt;/ul&gt;

&lt;div class=&#34;code-snippet &#34;&gt;&lt;div class=&#34;lang-toolbar&#34;&gt;
    &lt;span class=&#34;lang-toolbar__item lang-toolbar__item-active&#34;&gt;http&lt;/span&gt;
    &lt;span class=&#34;code-clipboard&#34;&gt;
      &lt;button x-data=&#34;app_code_snippet()&#34; x-init=&#34;init()&#34; @click=&#34;copy()&#34;&gt;
        &lt;img class=&#34;code-clipboard__icon&#34; src=&#34;/media/images/icons/icon-copy-small-2.svg&#34; alt=&#34;Copy code to clipboard&#34; width=&#34;14&#34; height=&#34;13&#34;&gt;
        &lt;span&gt;Copy&lt;/span&gt;
      &lt;/button&gt;
    &lt;/span&gt;
    &lt;div class=&#34;lang-toolbar__border&#34;&gt;&lt;/div&gt;
  &lt;/div&gt;&lt;div class=&#34;code-snippet &#34;&gt;
    &lt;pre data-expanded=&#34;false&#34;&gt;&lt;code class=&#34;language-http&#34;&gt;HTTP/1.1 412 Precondition Failed
Content-Type: application/json; charset=UTF-8
Content-Length: 97

{
  &amp;#34;message&amp;#34;: &amp;#34;The folder has been changed by someone else&amp;#34;,
  &amp;#34;status&amp;#34;: &amp;#34;version-mismatch&amp;#34;
}&lt;/code&gt;&lt;/pre&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;h2 id=&#34;delete-folder&#34;&gt;Delete folder&lt;/h2&gt;
&lt;p&gt;&lt;code&gt;DELETE /apis/folder.grafana.app/v1/namespaces/:namespace/folders/:uid&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Deletes an existing folder identified by UID along with all dashboards (and their alerts) stored in the folder. This operation cannot be reverted.&lt;/p&gt;
&lt;p&gt;If 
    &lt;a href=&#34;/docs/grafana/v13.0/alerting/&#34;&gt;Grafana Alerting&lt;/a&gt; is enabled, you can set an optional query parameter &lt;code&gt;forceDeleteRules=false&lt;/code&gt; so that requests will fail with 400 (Bad Request) error if the folder contains any Grafana alerts. However, if this parameter is set to &lt;code&gt;true&lt;/code&gt; then it will delete any Grafana alerts under this folder.&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;namespace: to read more about the namespace to use, see the 
    &lt;a href=&#34;/docs/grafana/v13.0/developer-resources/api-reference/http-api/apis/&#34;&gt;API overview&lt;/a&gt;.&lt;/li&gt;
&lt;li&gt;uid: the unique identifier of the folder to delete. this will be the &lt;em&gt;name&lt;/em&gt; in the folder response&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;&lt;strong&gt;Required permissions&lt;/strong&gt;&lt;/p&gt;
&lt;p&gt;See note in the &lt;a href=&#34;#folder-api&#34;&gt;introduction&lt;/a&gt; for an explanation.&lt;/p&gt;
&lt;section class=&#34;expand-table-wrapper&#34;&gt;&lt;div class=&#34;button-div&#34;&gt;
      &lt;button class=&#34;expand-table-btn&#34;&gt;Expand table&lt;/button&gt;
    &lt;/div&gt;&lt;div class=&#34;responsive-table-wrapper&#34;&gt;
    &lt;table&gt;
      &lt;thead&gt;
          &lt;tr&gt;
              &lt;th&gt;Action&lt;/th&gt;
              &lt;th&gt;Scope&lt;/th&gt;
          &lt;/tr&gt;
      &lt;/thead&gt;
      &lt;tbody&gt;
          &lt;tr&gt;
              &lt;td&gt;&lt;code&gt;folders:delete&lt;/code&gt;&lt;/td&gt;
              &lt;td&gt;&lt;code&gt;folders:*&lt;/code&gt;&lt;/td&gt;
          &lt;/tr&gt;
      &lt;/tbody&gt;
    &lt;/table&gt;
  &lt;/div&gt;
&lt;/section&gt;&lt;p&gt;&lt;strong&gt;Example Request&lt;/strong&gt;:&lt;/p&gt;

[...]
